Lazarus

Programming => Packages and Libraries => Topic started by: SA.Blackmon on February 19, 2021, 10:04:04 pm

Title: CudaText cannot find TATEditorWrapMode
Post by: SA.Blackmon on February 19, 2021, 10:04:04 pm
Trying to compile CudaText from source.

Get error: proc_msg.pas(218,45) Error: Identifier not found "TATEditorWrapMode"

grep'd source and found three places where TATEditorWrapMode was referenced but no declaration.

Where might "TATEditorWrapMode" be found?
Title: Re: CudaText cannot find TATEditorWrapMode
Post by: El Salvador on February 19, 2021, 10:07:34 pm
Tried ATSynEdit? https://github.com/Alexey-T/ATSynEdit/blob/master/atsynedit/atsynedit.pas
Title: Re: CudaText cannot find TATEditorWrapMode
Post by: SA.Blackmon on February 20, 2021, 09:03:20 pm
I have all my package source under one directory and that is where I grep'd.

So, yes, I checked asynedit.pas.
Title: Re: CudaText cannot find TATEditorWrapMode
Post by: Alextp on March 13, 2021, 11:21:11 pm
CudaText must compile now, maybe you got one package from Github and another not from it?
Title: Re: CudaText cannot find TATEditorWrapMode
Post by: SA.Blackmon on March 27, 2021, 10:36:11 pm
I cloned https://github.com/Alexey-T/CudaText.git.

I get the same message.

But, I figured the problem. My ATSynEdit_package.lpk was 1.7. The Cudatext I cloned needed version 2.1.

Now, I have a different set of issues but this issue is satisfied.

Just like a chain gang; I'm learning a little every day.

Thank you,
Alexey
Title: Re: CudaText cannot find TATEditorWrapMode
Post by: Alextp on March 27, 2021, 10:38:45 pm
Yes, you will need latest Github versions of all components.
TinyPortal © 2005-2018